recDevice Struct Reference

`#include <SDL_sysjoystick_c.h>`

Collaboration diagram for recDevice:
[legend]

## Data Structures

struct | axis_correct
struct | hwdata_ball
struct | hwdata_hat

## Data Fields

IOHIDDeviceRef | deviceRef
io_service_t | ffservice
char | product [256]
uint32_t | usage
uint32_t | usagePage
int | axes
int | buttons
int | hats
int | elements
recElement * | firstAxis
recElement * | firstButton
recElement * | firstHat
SDL_bool | removed
int | instance_id
SDL_JoystickGUID | guid
struct joystick_hwdata * | pNext
SDL_bool | accelerometer
SDL_bool | remote
GCController __unsafe_unretained * | controller
int | num_pause_presses
char * | name
SDL_Joystick * | joystick
SDL_JoystickID | instance_id
int | naxes
int | nbuttons
int | nhats
SDL_bool | m_bSteamController
struct joystick_hwdata * | next
int | fd
struct SDL_joylist_item * | item
char * | fname
struct joystick_hwdata::hwdata_hat * | hats
struct joystick_hwdata::hwdata_ball * | balls
Uint8 | key_map [KEY_MAX]
Uint8 | abs_map [ABS_MAX]
struct joystick_hwdata::axis_correct | abs_correct [ABS_MAX]
int | fresh
SDL_bool | send_remove_event
SDL_bool | bXInputDevice
SDL_bool | bXInputHaptic
Uint8 | userid
DWORD | dwPacketNumber

## Detailed Description

Definition at line 44 of file SDL_sysjoystick_c.h.

## Field Documentation

## abs_correct

struct joystick_hwdata::axis_correct recDevice::abs_correct[ABS_MAX]

## abs_map

Uint8 recDevice::abs_map[ABS_MAX]

Definition at line 47 of file SDL_sysjoystick_c.h.

## accelerometer

SDL_bool recDevice::accelerometer

Definition at line 33 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_JoystickClose(), SDL_SYS_JoystickOpen(), and SDL_SYS_JoystickUpdate().

## axes

int recDevice::axes

Definition at line 53 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_MFIJoystickUpdate().

## balls

struct joystick_hwdata::hwdata_ball * recDevice::balls

## buttons

int recDevice::buttons

Definition at line 54 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_MFIJoystickUpdate().

## bXInputDevice

SDL_bool recDevice::bXInputDevice

Definition at line 81 of file SDL_windowsjoystick_c.h.

## bXInputHaptic

SDL_bool recDevice::bXInputHaptic

Definition at line 82 of file SDL_windowsjoystick_c.h.

## controller

GCController __unsafe_unretained* recDevice::controller

Definition at line 36 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickClose(), SDL_SYS_JoystickInit(), SDL_SYS_JoystickOpen(), SDL_SYS_JoystickUpdate(), SDL_SYS_MFIJoystickUpdate(), and SDL_SYS_RemoveJoystickDevice().

## deviceRef

IOHIDDeviceRef recDevice::deviceRef

Definition at line 46 of file SDL_sysjoystick_c.h.

## dwPacketNumber

DWORD recDevice::dwPacketNumber

Definition at line 84 of file SDL_windowsjoystick_c.h.

## elements

int recDevice::elements

Definition at line 56 of file SDL_sysjoystick_c.h.

## fd

int recDevice::fd

Definition at line 29 of file SDL_sysjoystick_c.h.

## ffservice

io_service_t recDevice::ffservice

Definition at line 47 of file SDL_sysjoystick_c.h.

## firstAxis

recElement* recDevice::firstAxis

Definition at line 58 of file SDL_sysjoystick_c.h.

## firstButton

recElement* recDevice::firstButton

Definition at line 59 of file SDL_sysjoystick_c.h.

## firstHat

recElement* recDevice::firstHat

Definition at line 60 of file SDL_sysjoystick_c.h.

## fname

char* recDevice::fname

Definition at line 32 of file SDL_sysjoystick_c.h.

## fresh

int recDevice::fresh

Definition at line 54 of file SDL_sysjoystick_c.h.

## guid

SDL_JoystickGUID recDevice::guid

Definition at line 65 of file SDL_sysjoystick_c.h.

Referenced by SDL_PrivateGetControllerMapping(), SDL_PrivateLoadButtonMapping(), SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickGetDeviceGUID(), SDL_SYS_JoystickGetGUID(), and SteamControllerConnectedCallback().

## hats [1/2]

struct joystick_hwdata::hwdata_hat * recDevice::hats

## hats [2/2]

int recDevice::hats

Definition at line 55 of file SDL_sysjoystick_c.h.

## instance_id [1/2]

SDL_JoystickID recDevice::instance_id

Definition at line 41 of file SDL_sysjoystick_c.h.

## instance_id [2/2]

int recDevice::instance_id

Definition at line 64 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_GetInstanceIdOfDeviceIndex(), SDL_SYS_JoystickOpen(), SDL_SYS_RemoveJoystickDevice(), SteamControllerConnectedCallback(), and SteamControllerDisconnectedCallback().

## item

struct SDL_joylist_item* recDevice::item

Definition at line 30 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_RemoveJoystickDevice(), and SteamControllerDisconnectedCallback().

## joystick

SDL_Joystick* recDevice::joystick

Definition at line 40 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_JoystickClose(), SDL_SYS_JoystickOpen(), and SDL_SYS_RemoveJoystickDevice().

## key_map

Uint8 recDevice::key_map[KEY_MAX]

Definition at line 46 of file SDL_sysjoystick_c.h.

## m_bSteamController

SDL_bool recDevice::m_bSteamController

Definition at line 49 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_JoystickUpdate(), and SteamControllerConnectedCallback().

## name

char* recDevice::name

Definition at line 39 of file SDL_sysjoystick_c.h.

Referenced by SDL_PrivateGetControllerMapping(), SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickNameForDeviceIndex(), SDL_SYS_RemoveJoystickDevice(), and SteamControllerConnectedCallback().

## naxes

int recDevice::naxes

Definition at line 44 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickOpen(), and SteamControllerConnectedCallback().

## nbuttons

int recDevice::nbuttons

Definition at line 45 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickOpen(), and SteamControllerConnectedCallback().

## next

struct joystick_hwdata* recDevice::next

Definition at line 51 of file SDL_sysjoystick_c.h.

Referenced by GetDeviceForIndex(), SDL_SYS_AddJoystickDevice(), SDL_SYS_RemoveJoystickDevice(), SteamControllerConnectedCallback(), and SteamControllerDisconnectedCallback().

## nhats

int recDevice::nhats

Definition at line 46 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddJoystickDevice(), SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickOpen(), and SteamControllerConnectedCallback().

## num_pause_presses

int recDevice::num_pause_presses

Definition at line 37 of file SDL_sysjoystick_c.h.

## pNext

struct joystick_hwdata* recDevice::pNext

Definition at line 67 of file SDL_sysjoystick_c.h.

## product

char recDevice::product[256]

Definition at line 49 of file SDL_sysjoystick_c.h.

Referenced by SDL_ShouldIgnoreGameController().

## remote

SDL_bool recDevice::remote

Definition at line 34 of file SDL_sysjoystick_c.h.

Referenced by SDL_SYS_AddMFIJoystickDevice(), SDL_SYS_JoystickClose(), and SDL_SYS_JoystickOpen().

## removed

SDL_bool recDevice::removed

Definition at line 62 of file SDL_sysjoystick_c.h.

## send_remove_event

SDL_bool recDevice::send_remove_event

Definition at line 70 of file SDL_windowsjoystick_c.h.

## usage

uint32_t recDevice::usage

Definition at line 50 of file SDL_sysjoystick_c.h.

## usagePage

uint32_t recDevice::usagePage

Definition at line 51 of file SDL_sysjoystick_c.h.

## userid

Uint8 recDevice::userid

Definition at line 83 of file SDL_windowsjoystick_c.h.

The documentation for this struct was generated from the following files:

- src/joystick/darwin/SDL_sysjoystick_c.h
- src/joystick/windows/SDL_windowsjoystick_c.h